﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Importing Users using the UserImport Job</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Importing Users using the UserImport Job</h1>
        <p>An authoritative source or identity store is a central directory service or a database that contains user identity information such as employee ID, Firstname, Lastname, Email, and Employee Type in an organization. After identifying the authoritative source and establishing a connection with it, you can import users into IGA via job triggers. The imported users are stored in the users table in IGA.&#160;</p>
        <div class="tip" MadCap:autonum="&lt;b&gt;Tip&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">The user import process includes an inline preprocessor for normalizing the identity data from an authoritative data source of an organization before it is imported to IGA.</p>
                </li>
                <li>
                    <p class="note">From Release v5.5.2, you can import customers from the target application through external connections using a new variable,<strong> organization ID</strong>.</p>
                </li>
            </ul>
        </div>
        <h3 id="ImportingUsersusingtheUserImportJob-CreatingaJobTrigger">Creating a Job Trigger</h3>
        <p>To import users from an authoritative source of data using Release v5.5.2, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to<strong> Job Control Panel.</strong></p>
            </li>
            <li>
                <p>Click <strong>Add New Job</strong> and specify a job name.</p>
            </li>
            <li>
                <p>Select<strong> DATA &gt; User Import via a Connection (UserImportJob)</strong>.&#160;</p>
            </li>
            <li>
                <p class="auto-cursor-target">Add the values for&#160;the following parameters:</p>
                <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                    <col style="width: 14.8577%;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 85.1423%;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Import from Saviynt Connect</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">This option is used only if you are importing using Saviynt Connect. <br /><ul><li><p class="table-text">Select <strong>No</strong>&#160;if you are not importing using Saviynt Connect.</p></li><li><p class="table-text">Select <strong>Yes</strong>&#160;if you are importing using Saviynt Connect.</p></li></ul></td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">External Connection</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the connection name that you have created for importing the users. For example, SAP HR.&#160;SAP HR is used as an authoritative source in this procedure.&#160;</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Allow User Creation</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <ul>
                                    <li>
                                        <p class="table-text">Select <strong>Create and Update</strong>&#160;if you want to import all the users that are created and updated in SAP HR&#160;to IGA.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Select <strong>Create Only </strong>if you want to import only newly created users in SAP HR&#160;and not the updated users.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Select <strong>Update Only </strong>if you want to import only the users that have been updated in&#160;SAP HR&#160;to IGA. In this case, the newly created users are not imported.&#160;</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Job Type</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the required option for the user import type from the following:&#160;</p>
                                <ul>
                                    <li>
                                        <p class="table-text"><strong>Full Import:&#160;</strong>Use this option when you run an import job for the first time, all users in the target application are automatically imported to IGA.</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>Incremental Import: </strong>Use this option after you run full import for the first time,&#160;it runs the import again and fetches only the records that have been added, modified, and deleted after the first import.</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Zero-day provisioning</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select <strong>Yes</strong>&#160;to allow birthright provisioning for users that you are importing. You must create a technical rule for providing birthright access for the users when they are added to the system.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Generate User Email</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select&#160;<strong>Yes</strong> if you want&#160;to generate the email for the users being imported. Otherwise, select&#160;<strong>No</strong>.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Build Users Cache Map</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">When you import users for the first time, a cache of existing users is automatically&#160;built in the memory. When the incremental import of users is run, the uniqueness of each user is not compared in the database, instead, the cache is used to quickly compare the users, thereby enhancing the performance.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">User Termination Limit</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Use this parameter to prevent misconfigurations that can lead to undesired termination of users. For example, when an import is in progress and 1000 users are terminated due to some misconfiguration that changes the status of users to inactive.&#160;A maximum of 100 users can be terminated&#160;in the&#160;SAP HR system in a single operation. If the number of users exceeds 100, it is likely that a misconfiguration has occurred in the system. To prevent this, configure a maximum value of the user termination limit. If the number of users set for termination exceeds this value,&#160;the operation is aborted and none of the&#160;users are terminated.&#160;</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Reconciliation Field</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Use this parameter for comparing the users existing in IGA with the users being imported based on certain attributes of users such as username.&#160;</p>
                                <ul>
                                    <li>
                                        <p class="table-text">When the value of this field matches with an attribute of an existing user in IGA, an <strong>update</strong> entry is created for the user in IGA.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">When the value of this field does not match with any attribute of any existing user in IGA, a&#160;<strong>create</strong> entry is created for adding the user in IGA.</p>
                                    </li>
                                </ul>
                                <p class="table-text">By default, this parameter uses username to match the user attributes. You can use a different attribute from the provided list based on your requirement.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Add SAV Role</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Use this parameter to select the SAV Role that you want to assign to all the users that you are importing. Based on the selected SAV Role, corresponding privileges are assigned to the users.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Status Config</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Use this parameter to define the mapping of Status column for importing users when different values are used by the target system and IGA to define the status of a user. For example, a target system uses a value of true or false and IGA uses a value of active or inactive.</p>
                                <p class="table-text">Example JSON:&#160;<span class="attr">{ STATUS_ACTIVE:&#160;[true, active], STATUS_INACTIVE:&#160;[false, inactive] }</span></p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">User Not in Feed Action</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Use this parameter to take an action or change the status of existing users in IGA.</p>
                                <ul>
                                    <li>
                                        <p class="table-text">Select <strong>No Action</strong> if you do not want to&#160;take an action on the users.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Select <strong>In-Activate&#160;</strong>to change the status of existing users to <strong>Inactive</strong>.</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Generate system user name</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Use this parameter to generate a system user name for the users that you are importing. Select <strong>Yes&#160;</strong>to generate a system user name. Otherwise, select <strong>No</strong>.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Check rules</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Use this parameter to check the rules for all the users that you are importing.</p>
                                <ul>
                                    <li>
                                        <p class="table-text">Select <strong>Yes</strong>&#160;if you want to check the Identity Access Rules for the users being uploaded.&#160;This results in additional overhead and involves going through each of the Identity Access Rules, checking the conditions, comparing the rules for each user being uploaded, and creating tasks if a condition matches.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Select <strong>No</strong>&#160;if you want to skip checking the Identity Access Rules for the users being uploaded. Selecting this option simply brings in the user details. This option is useful if minor changes are made in the target application to the users that are already existing in IGA.&#160;You can export the changes in the Excel file and upload the file in IGA.</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text">Zero Day Limit</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p class="table-text">Use this parameter to specify the number of users to provide birthright access as per the technical rules defined. The value provided for this parameter is also used to prohibit and deny birthright access and misconfigurations that might trigger birthright access for users. If your company decides that on average only 100 users are provided birthright access in the list of new users joining the company, specify 100 for this parameter.&#160;</p>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
            <li>
                <p>Click <strong>Submit</strong>.</p>
            </li>
            <li>
                <p>Click <strong>Action &gt; Start</strong> to run the job trigger that you created.&#160;
				</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">If you are using an IGA version prior to Release v5.5.0, go to&#160;<strong>Admin &gt; Job Control Panel &gt; Data &gt; UserImportJob </strong>and follow Step 4-6 from this procedure.</p>
                </div>
            </li>
        </ol>
    </body>
</html>